/******************************************************************************
* DISCLAIMER:
* The software supplied by Renesas Technology Europe Ltd is
* intended and supplied for use on Renesas Technology products.
* This software is owned by Renesas Technology Europe, Ltd. Or
* Renesas Technology Corporation and is protected under applicable
* copyright laws. All rights are reserved.
*
* THIS SOFTWARE IS PROVIDED "AS IS". NO WARRANTIES, WHETHER EXPRESS,
* IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO IMPLIED
* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
* APPLY TO THIS SOFTWARE. RENESAS TECHNOLOGY AMERICA, INC. AND
* AND RENESAS TECHNOLOGY CORPORATION RESERVE THE RIGHT, WITHOUT
* NOTICE, TO MAKE CHANGES TO THIS SOFTWARE. NEITHER RENESAS
* TECHNOLOGY AMERICA, INC. NOR RENESAS TECHNOLOGY CORPORATION SHALL,
* IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL, OR
* CONSEQUENTIAL DAMAGES FOR ANY REASON WHATSOEVER ARISING OUT OF THE
* USE OR APPLICATION OF THIS SOFTWARE.
******************************************************************************/

/* Copyright (C) 2009. Renesas Technology Europe, All Rights Reserved */

/*FILE COMMENT******************************* Technical reference data ****
* File Name		: typedefine.c
* Version 		: 1.00
* Device 		: SH/7264 (R5S72643W144FPU)
* Tool Chain 	: HEW, Renesas SuperH Standard Tool chain v9.3
* H/W Platform	: RSK2+SH7264
* Description 	: type define file.
******************************************************************************/

/******************************************************************************
* History 		: 12.11.2009 Ver. 1.00 First Release
*FILE COMMENT END*********************************************************/

#ifndef _TYPE_DEFINE_H_
#define _TYPE_DEFINE_H_

typedef signed char 			_SBYTE;
typedef unsigned char 			_UBYTE;
typedef signed short 			_SWORD;
typedef unsigned short 			_UWORD;
typedef signed int 				_SINT;
typedef unsigned int 			_UINT;
typedef signed long 			_SDWORD;
typedef unsigned long 			_UDWORD;
typedef signed long long 		_SQWORD;
typedef unsigned long long 		_UQWORD;

typedef double 					uint64_t;
	
typedef unsigned int			uint32_t;
typedef unsigned short			uint16_t;
typedef unsigned char			uint8_t;

typedef volatile int			vint32_t;
typedef volatile short			vint16_t;
typedef volatile char			vint8_t;

typedef volatile unsigned int	vuint32_t;
typedef volatile unsigned short	vuint16_t;
typedef volatile unsigned char	vuint8_t;

#endif 