/***********************************************************************************
FILE NAME  		rsk7203def.h
DESCRIPTION		Contains macro defines for RSK+SH7203 starter kit.
            
Copyright   : 2007 Renesas Technology Europe Ltd.
Copyright   : 2007 Renesas Technology Corporation.
All Rights Reserved
***********************************************************************************/

/***********************************************************************************
Revision History
DD.MM.YYYY OSO-UID Description
23.02.2007 RTE-VNA First Release.
***********************************************************************************/

#ifndef RSK7203DEF_H_INCLUDED
#define RSK7203DEF_H_INCLUDED

/***********************************************************************************
Defines
***********************************************************************************/
/* General Values */
#define LED_ON			(0)
#define LED_OFF			(1)
#define SET_BIT_HIGH	(1)	
#define SET_BIT_LOW		(0)	
#define SET_BYTE_HIGH	(0xFF)
#define SET_BYTE_LOW	(0x00)
#define TRUE			(1)	
#define FALSE			(0)

/* LEDs */
	/*	Data registers associated with LEDs.	*/
#define	LED0			PORT.PEDRL.BIT.PE10DR
#define	LED1			PORT.PEDRL.BIT.PE12DR
#define	LED2			PORT.PCDRL.BIT.PC14DR
#define	LED3			PORT.PEDRL.BIT.PE11DR

#endif		/* RSK7203DEF_H_INCLUDED */
