/***********************************************************************************
FILE NAME  	: vect.h

DESCRIPTION	: Vector Table Define.

Copyright   : 2007 Renesas Technology Europe Ltd.
              2007 Renesas Technology Corporation.
			  All Rights Reserved
***********************************************************************************/

/***********************************************************************************
Revision History
DD.MM.YYYY OSO-UID Description
23.02.2007 RTE-VNA First Release
***********************************************************************************/

#ifndef VECT_H_INCLUDED
#define VECT_H_INCLUDED

/*  0 Power On Reset PC */
extern void PowerON_Reset_PC(void);                                                                                                                

/*  1 Power On Reset SP */

/*  2 Manual Reset PC */
extern void Manual_Reset_PC(void);                                                                                                                 

/*  3 Manual Reset SP */

/*	4 Illegal code	*/
#pragma interrupt INT_Illegal_code
extern void INT_Illegal_code(void);

/*	5 Reserved	*/

/*	6 Illegal slot	*/
#pragma interrupt INT_Illegal_slot
extern void INT_Illegal_slot(void);

/*	7 Reserved	*/

/*	8 Reserved	*/

/*	9 CPU Address error	*/
#pragma interrupt INT_CPU_Address
extern void INT_CPU_Address(void);

/* 10 DMAC Address error */
#pragma interrupt INT_DMAC_Address
extern void INT_DMAC_Address(void);

/*	11 NMI	*/
#pragma interrupt INT_NMI
extern void INT_NMI(void);

/*	12 User breakpoint trap	*/
#pragma interrupt INT_User_Break
extern void INT_User_Break(void);

/* 13  FPU_EXCEPTION */
#pragma interrupt EXP_FPU_EXCEPTION
extern  void EXP_FPU_EXCEPTION(void);

/* 14 H-UDI */
#pragma interrupt INT_HUDI
extern void INT_HUDI(void);

/* 15 Register bank over */
#pragma interrupt INT_Bank_Overflow
extern void INT_Bank_Overflow(void);

/* 16 Register bank under */
#pragma interrupt INT_Bank_Underflow
extern void INT_Bank_Underflow(void);

/* 17 ZERO DIV */
#pragma interrupt INT_Divide_by_Zero
extern void INT_Divide_by_Zero(void);

/* 18 OVER DIV */
#pragma interrupt INT_Divide_Overflow
extern void INT_Divide_Overflow(void);

/*	19 Reserved	*/

/*	20 Reserved	*/

/*	21 Reserved	*/

/*	22 Reserved	*/

/*	23 Reserved	*/

/*	24 Reserved	*/

/*	25 Reserved	*/

/*	26 Reserved	*/

/*	27 Reserved	*/

/*	28 Reserved	*/

/*	29 Reserved	*/

/*	30 Reserved	*/

/*	31 Reserved	*/

/*	32 TRAPA (User Vecter)	*/
#pragma interrupt INT_TRAPA32
extern void INT_TRAPA32(void);

/*	33 TRAPA (User Vecter)	*/
#pragma interrupt INT_TRAPA33
extern void INT_TRAPA33(void);

/*	34 TRAPA (User Vecter)	*/
#pragma interrupt INT_TRAPA34
extern void INT_TRAPA34(void);

/*	35 TRAPA (User Vecter)	*/
#pragma interrupt INT_TRAPA35
extern void INT_TRAPA35(void);

/*	36 TRAPA (User Vecter)	*/
#pragma interrupt INT_TRAPA36
extern void INT_TRAPA36(void);

/*	37 TRAPA (User Vecter)	*/
#pragma interrupt INT_TRAPA37
extern void INT_TRAPA37(void);

/*	38 TRAPA (User Vecter)	*/
#pragma interrupt INT_TRAPA38
extern void INT_TRAPA38(void);

/*	39 TRAPA (User Vecter)	*/
#pragma interrupt INT_TRAPA39
extern void INT_TRAPA39(void);

/*	40 TRAPA (User Vecter)	*/
#pragma interrupt INT_TRAPA40
extern void INT_TRAPA40(void);

/*	41 TRAPA (User Vecter)	*/
#pragma interrupt INT_TRAPA41
extern void INT_TRAPA41(void);

/*	42 TRAPA (User Vecter)	*/
#pragma interrupt INT_TRAPA42
extern void INT_TRAPA42(void);

/*	43 TRAPA (User Vecter)	*/
#pragma interrupt INT_TRAPA43
extern void INT_TRAPA43(void);

/*	44 TRAPA (User Vecter)	*/
#pragma interrupt INT_TRAPA44
extern void INT_TRAPA44(void);

/*	45 TRAPA (User Vecter)	*/
#pragma interrupt INT_TRAPA45
extern void INT_TRAPA45(void);

/*	46 TRAPA (User Vecter)	*/
#pragma interrupt INT_TRAPA46
extern void INT_TRAPA46(void);

/*	47 TRAPA (User Vecter)	*/
#pragma interrupt INT_TRAPA47
extern void INT_TRAPA47(void);

/*	48 TRAPA (User Vecter)	*/
#pragma interrupt INT_TRAPA48
extern void INT_TRAPA48(void);

/*	49 TRAPA (User Vecter)	*/
#pragma interrupt INT_TRAPA49
extern void INT_TRAPA49(void);

/*	50 TRAPA (User Vecter)	*/
#pragma interrupt INT_TRAPA50
extern void INT_TRAPA50(void);

/*	51 TRAPA (User Vecter)	*/
#pragma interrupt INT_TRAPA51
extern void INT_TRAPA51(void);

/*	52 TRAPA (User Vecter)	*/
#pragma interrupt INT_TRAPA52
extern void INT_TRAPA52(void);

/*	53 TRAPA (User Vecter)	*/
#pragma interrupt INT_TRAPA53
extern void INT_TRAPA53(void);

/*	54 TRAPA (User Vecter)	*/
#pragma interrupt INT_TRAPA54
extern void INT_TRAPA54(void);

/*	55 TRAPA (User Vecter)	*/
#pragma interrupt INT_TRAPA55
extern void INT_TRAPA55(void);

/*	56 TRAPA (User Vecter)	*/
#pragma interrupt INT_TRAPA56
extern void INT_TRAPA56(void);

/*	57 TRAPA (User Vecter)	*/
#pragma interrupt INT_TRAPA57
extern void INT_TRAPA57(void);

/*	58 TRAPA (User Vecter)	*/
#pragma interrupt INT_TRAPA58
extern void INT_TRAPA58(void);

/*	59 TRAPA (User Vecter)	*/
#pragma interrupt INT_TRAPA59
extern void INT_TRAPA59(void);

/*	60 TRAPA (User Vecter)	*/
#pragma interrupt INT_TRAPA60
extern void INT_TRAPA60(void);

/*	61 TRAPA (User Vecter)	*/
#pragma interrupt INT_TRAPA61
extern void INT_TRAPA61(void);

/*	62 TRAPA (User Vecter)	*/
#pragma interrupt INT_TRAPA62
extern void INT_TRAPA62(void);

/*	63 TRAPA (User Vecter)	*/
#pragma interrupt INT_TRAPA63
extern void INT_TRAPA63(void);

/* 64 Interrupt IRQ0 */
#pragma interrupt (INT_IRQ0(resbank))
extern void INT_IRQ0(void);

/* 65 Interrupt IRQ1 */
#pragma interrupt (INT_IRQ1(resbank))
extern void INT_IRQ1(void);

/*	66 Interrupt IRQ2	*/
#pragma interrupt (INT_IRQ2(resbank))
extern void INT_IRQ2(void);

/*	67 Interrupt IRQ3	*/
#pragma interrupt (INT_IRQ3(resbank))
extern void INT_IRQ3(void);

/* 68 Interrupt IRQ4 */
#pragma interrupt (INT_IRQ4(resbank))
extern void INT_IRQ4(void);

/* 69 Interrupt IRQ5 */
#pragma interrupt (INT_IRQ5(resbank))
extern void INT_IRQ5(void);

/* 70 Interrupt IRQ6 */
#pragma interrupt (INT_IRQ6(resbank))
extern void INT_IRQ6(void);

/* 71 Interrupt IRQ7 */
#pragma interrupt (INT_IRQ7(resbank))
extern void INT_IRQ7(void);

/* 72 Reserved */

/* 73 Reserved */

/* 74 Reserved */

/* 75 Reserved */

/* 76 Reserved	*/

/* 77 Reserved	*/

/* 78 Reserved	*/

/* 79 Reserved	*/

/* 80  PINT0   */
#pragma interrupt (INT_PINT0(resbank))
extern  void INT_PINT0(void);

/* 81  PINT1 */
#pragma interrupt (INT_PINT1(resbank))
extern  void INT_PINT1(void);

/* 82  PINT2 */
#pragma interrupt (INT_PINT2(resbank))
extern  void INT_PINT2(void);

/* 83  PINT3 */
#pragma interrupt (INT_PINT3(resbank))
extern  void INT_PINT3(void);

/* 84  PINT4 */
#pragma interrupt (INT_PINT4(resbank))
extern  void INT_PINT4(void);

/* 85  PINT5 */
#pragma interrupt (INT_PINT5(resbank))
extern  void INT_PINT5(void);

/* 86  PINT6 */
#pragma interrupt (INT_PINT6(resbank))
extern  void INT_PINT6(void);

/* 87  PINT7 */
#pragma interrupt (INT_PINT7(resbank))
extern  void INT_PINT7(void);

/* 88 Reserved */

/* 89 Reserved */

/* 90 Reserved */

/* 91 Reserved */

/* 92 Reserved */

/* 93 Reserved */

/* 94 Reserved */

/* 95 Reserved */

/* 96 Reserved */

/* 97 Reserved */

/* 98 Reserved	*/

/* 99 Reserved	*/

/* 100 Reserved */

/* 101 Reserved */

/* 102 Reserved */

/* 103 Reserved */

/* 104 Reserved */

/* 105 Reserved */

/* 106 Reserved */

/* 107 Reserved */

/* 108 DMAC0 DEI0 */
#pragma interrupt (INT_DMAC0_DEI0(resbank))
extern void INT_DMAC0_DEI0(void);

/* 109 DMAC0 HEI0 */
#pragma interrupt (INT_DMAC0_HEI0(resbank))
extern void INT_DMAC0_HEI0(void);

/*	110 Reserved */

/*	111 Reserved */

/* 112 DMAC1 DEI1 */
#pragma interrupt (INT_DMAC1_DEI1(resbank))
extern void INT_DMAC1_DEI1(void);

/* 113 DMAC1 HEI1 */
#pragma interrupt (INT_DMAC1_HEI1(resbank))
extern void INT_DMAC1_HEI1(void);

/* 114 Reserved */

/* 115 Reserved */

/* 116 DMAC2 DEI2 */
#pragma interrupt (INT_DMAC2_DEI2(resbank))
extern void INT_DMAC2_DEI2(void);

/* 117 DMAC2 HEI2 */
#pragma interrupt (INT_DMAC2_HEI2(resbank))
extern void INT_DMAC2_HEI2(void);

/*	118 Reserved */

/*	119 Reserved */

/* 120 DMAC3 DEI3 */
#pragma interrupt (INT_DMAC3_DEI3(resbank))
extern void INT_DMAC3_DEI3(void);

/* 121 DMAC3 HEI3 */
#pragma interrupt (INT_DMAC3_HEI3(resbank))
extern void INT_DMAC3_HEI3(void);

/* 122 Reserved */

/* 123 Reserved */

/* 124 DMAC4 DEI4 */
#pragma interrupt (INT_DMAC4_DEI4(resbank))
extern void INT_DMAC4_DEI4(void);

/* 125 DMAC4 HEI4 */
#pragma interrupt (INT_DMAC4_HEI4(resbank))
extern void INT_DMAC4_HEI4(void);

/*	126 Reserved */

/*	127 Reserved */

/* 128 DMAC5 DEI5 */
#pragma interrupt (INT_DMAC5_DEI5(resbank))
extern void INT_DMAC5_DEI5(void);

/* 129 DMAC5 HEI5 */
#pragma interrupt (INT_DMAC5_HEI5(resbank))
extern void INT_DMAC5_HEI5(void);

/* 130 Reserved */

/*	131 Reserved */

/* 132 DMAC6 DEI6 */
#pragma interrupt (INT_DMAC6_DEI6(resbank))
extern void INT_DMAC6_DEI6(void);

/* 133 DMAC6 HEI6 */
#pragma interrupt (INT_DMAC6_HEI6(resbank))
extern void INT_DMAC6_HEI6(void);
/*	134 Reserved */

/*	135 Reserved */

/* 136 DMAC7 DEI7 */
#pragma interrupt (INT_DMAC7_DEI7(resbank))
extern void INT_DMAC7_DEI7(void);

/* 137 DMAC7 HEI7 */
#pragma interrupt (INT_DMAC7_HEI7(resbank))
extern void INT_DMAC7_HEI7(void);

/*	138 Reserved */

/*	139 Reserved */

/* 140 USBI */
#pragma interrupt (INT_USB_USBI(resbank))
extern void INT_USB_USBI(void);

/* 141 LCDCI */
#pragma interrupt (INT_LCDC_LCDCI(resbank))
extern void INT_LCDC_LCDCI(void);

/* 142 CMT CMI0 */
//#pragma interrupt (INT_CMT_CMI0(resbank))
//extern void INT_CMT_CMI0(void);
#pragma interrupt OS_ISR_Tick(resbank)
extern void OS_ISR_Tick(void);

#ifdef OS_TEST // embOS test program?
/* 143 CMT CMI1 is used for embOS test program */
#pragma interrupt (OSTest_X_ISR(resbank))
extern void OSTest_X_ISR(void);
#else
/* 143 CMT CMI1 */
#pragma interrupt (INT_CMT_CMI1(resbank))
extern void INT_CMT_CMI1(void);

#endif

/* 144 BSC CMI */
#pragma interrupt (INT_BSC_CMI(resbank))
extern void INT_BSC_CMI(void);

/* 145 WDT ITI */
#pragma interrupt (INT_WDT_ITI(resbank))
extern void INT_WDT_ITI(void);

/* 146 MTU2 MTU0 TGI0A */
#pragma interrupt (INT_MTU2_MTU0_TGI0A(resbank))
extern void INT_MTU2_MTU0_TGI0A(void);

/* 147 MTU2 MTU0 TGI0B */
#pragma interrupt (INT_MTU2_MTU0_TGI0B(resbank))
extern void INT_MTU2_MTU0_TGI0B(void);

/* 148 MTU2 MTU0 TGI0C */
#pragma interrupt (INT_MTU2_MTU0_TGI0C(resbank))
extern void INT_MTU2_MTU0_TGI0C(void);

/* 149 MTU2 MTU0 TGI0D */
#pragma interrupt (INT_MTU2_MTU0_TGI0D(resbank))
extern void INT_MTU2_MTU0_TGI0D(void);

/* 150 MTU2 MTU0 TGI0V */
#pragma interrupt (INT_MTU2_MTU0_TGI0V(resbank))
extern void INT_MTU2_MTU0_TGI0V(void);

/* 151 MTU2 MTU0 TGI0E */
#pragma interrupt (INT_MTU2_MTU0_TGI0E(resbank))
extern void INT_MTU2_MTU0_TGI0E(void);

/* 152 MTU2 MTU0 TGI0F */
#pragma interrupt (INT_MTU2_MTU0_TGI0F(resbank))
extern void INT_MTU2_MTU0_TGI0F(void);

/* 153 MTU2 MTU1 TGI1A */
#pragma interrupt (INT_MTU2_MTU1_TGI1A(resbank))
extern void INT_MTU2_MTU1_TGI1A(void);

/* 154 MTU2 MTU1 TGI1B */
#pragma interrupt (INT_MTU2_MTU1_TGI1B(resbank))
extern void INT_MTU2_MTU1_TGI1B(void);

/* 155 MTU2 MTU1 TGI1V */
#pragma interrupt (INT_MTU2_MTU1_TGI1V(resbank))
extern void INT_MTU2_MTU1_TGI1V(void);

/* 156 MTU2 MTU1 TGI1U */
#pragma interrupt (INT_MTU2_MTU1_TGI1U(resbank))
extern void INT_MTU2_MTU1_TGI1U(void);

/* 157 MTU2 MTU2 TGI2A */
#pragma interrupt (INT_MTU2_MTU2_TGI2A(resbank))
extern void INT_MTU2_MTU2_TGI2A(void);

/* 158 MTU2 MTU2 TGI2B */
#pragma interrupt (INT_MTU2_MTU2_TGI2B(resbank))
extern void INT_MTU2_MTU2_TGI2B(void);

/* 159 MTU2 MTU2 TGI2V */
#pragma interrupt (INT_MTU2_MTU2_TGI2V(resbank))
extern void INT_MTU2_MTU2_TGI2V(void);

/* 160 MTU2 MTU2 TGI2U */
#pragma interrupt (INT_MTU2_MTU2_TGI2U(resbank))
extern void INT_MTU2_MTU2_TGI2U(void);

/* 161 MTU2 MTU3 TGI3A */
#pragma interrupt (INT_MTU2_MTU3_TGI3A(resbank))
extern void INT_MTU2_MTU3_TGI3A(void);

/* 162 MTU2 MTU3 TGI3B */
#pragma interrupt (INT_MTU2_MTU3_TGI3B(resbank))
extern void INT_MTU2_MTU3_TGI3B(void);

/* 163 MTU2 MTU3 TGI3C */
#pragma interrupt (INT_MTU2_MTU3_TGI3C(resbank))
extern void INT_MTU2_MTU3_TGI3C(void);

/* 164 MTU2 MTU3 TGI3D */
#pragma interrupt (INT_MTU2_MTU3_TGI3D(resbank))
extern void INT_MTU2_MTU3_TGI3D(void);

/* 165 MTU2 MTU3 TGI3V */
#pragma interrupt (INT_MTU2_MTU3_TGI3V(resbank))
extern void INT_MTU2_MTU3_TGI3V(void);

/* 166 MTU2 MTU4 TGI4A */
#pragma interrupt (INT_MTU2_MTU4_TGI4A(resbank))
extern void INT_MTU2_MTU4_TGI4A(void);

/* 167 MTU2 MTU4 TGI4B */
#pragma interrupt (INT_MTU2_MTU4_TGI4B(resbank))
extern void INT_MTU2_MTU4_TGI4B(void);

/* 168 MTU2 MTU4 TGI4C */
#pragma interrupt (INT_MTU2_MTU4_TGI4C(resbank))
extern void INT_MTU2_MTU4_TGI4C(void);

/* 169 MTU2 MTU4 TGI4D */
#pragma interrupt (INT_MTU2_MTU4_TGI4D(resbank))
extern void INT_MTU2_MTU4_TGI4D(void);

/* 170 MTU2 MTU4 TGI4V */
#pragma interrupt (INT_MTU2_MTU4_TGI4V(resbank))
extern void INT_MTU2_MTU4_TGI4V(void);

/* 171 ADC ADI */
#pragma interrupt (INT_ADC_ADI(resbank))
extern void INT_ADC_ADI(void);

/* 172 IIC3-0 STPI0 */
#pragma interrupt (INT_IIC30_STPI0(resbank))
extern void INT_IIC30_STPI0(void);

/* 173 IIC3-0 NAKI0  */
#pragma interrupt (INT_IIC30_NAKI0(resbank))
extern void INT_IIC30_NAKI0(void);

/* 174 IIC3-0 RXI0  */
#pragma interrupt (INT_IIC30_RXI0(resbank))
extern void INT_IIC30_RXI0(void);

/* 175 IIC3-0 TXI0 */
#pragma interrupt (INT_IIC30_TXI0(resbank))
extern void INT_IIC30_TXI0(void);

/* 176 IIC3-0 TEI0 */
#pragma interrupt (INT_IIC30_TEI0(resbank))
extern void INT_IIC30_TEI0(void);

/* 177 IIC3-1 STPI1 */
#pragma interrupt (INT_IIC31_STPI1(resbank))
extern void INT_IIC31_STPI1(void);

/* 178 IIC3-1 NAKI1  */
#pragma interrupt (INT_IIC31_NAKI1(resbank))
extern void INT_IIC31_NAKI1(void);

/* 179 IIC3-1 RXI1  */
#pragma interrupt (INT_IIC31_RXI1(resbank))
extern void INT_IIC31_RXI1(void);

/* 180 IIC3-1 TXI1 */
#pragma interrupt (INT_IIC31_TXI1(resbank))
extern void INT_IIC31_TXI1(void);

/* 181 IIC3-1 TEI1 */
#pragma interrupt (INT_IIC31_TEI1(resbank))
extern void INT_IIC31_TEI1(void);

/* 182 IIC3-2 STPI2 */
#pragma interrupt (INT_IIC32_STPI2(resbank))
extern void INT_IIC32_STPI2(void);

/* 183 IIC3-2 NAKI2  */
#pragma interrupt (INT_IIC32_NAKI2(resbank))
extern void INT_IIC32_NAKI2(void);

/* 184 IIC3-2 RXI2  */
#pragma interrupt (INT_IIC32_RXI2(resbank))
extern void INT_IIC32_RXI2(void);

/* 185 IIC3-2 TXI2 */
#pragma interrupt (INT_IIC32_TXI2(resbank))
extern void INT_IIC32_TXI2(void);

/* 186 IIC3-2 TEI2 */
#pragma interrupt (INT_IIC32_TEI2(resbank))
extern void INT_IIC32_TEI2(void);

/* 187 IIC3-3 STPI3 */
#pragma interrupt (INT_IIC33_STPI3(resbank))
extern void INT_IIC33_STPI3(void);

/* 188 IIC3-3 NAKI3  */
#pragma interrupt (INT_IIC33_NAKI3(resbank))
extern void INT_IIC33_NAKI3(void);

/* 189 IIC3-3 RXI3  */
#pragma interrupt (INT_IIC33_RXI3(resbank))
extern void INT_IIC33_RXI3(void);

/* 190 IIC3-3 TXI3 */
#pragma interrupt (INT_IIC33_TXI3(resbank))
extern void INT_IIC33_TXI3(void);

/* 191 IIC3-3 TEI3 */
#pragma interrupt (INT_IIC33_TEI3(resbank))
extern void INT_IIC33_TEI3(void);

/* 192 SCIF SCIF0 BRI0 */
#pragma interrupt (INT_SCIF_SCIF0_BRI0(resbank))
extern void INT_SCIF_SCIF0_BRI0(void);

/* 193 SCIF SCIF0 ERI0 */
#pragma interrupt (INT_SCIF_SCIF0_ERI0(resbank))
extern void INT_SCIF_SCIF0_ERI0(void);
#pragma interrupt (OS_ISR_RxErr(resbank))
extern void OS_ISR_RxErr(void);

/* 194 SCIF SCIF0 RXI0 */
#pragma interrupt (INT_SCIF_SCIF0_RXI0(resbank))
extern void INT_SCIF_SCIF0_RXI0(void);
#pragma interrupt (OS_ISR_Rx(resbank))
extern void OS_ISR_Rx(void);

/* 195 SCIF SCIF0 TXI0 */
#pragma interrupt (INT_SCIF_SCIF0_TXI0(resbank))
extern void INT_SCIF_SCIF0_TXI0(void);
#pragma interrupt (OS_ISR_Tx(resbank))
extern void OS_ISR_Tx(void);

/* 196 SCIF SCIF1 BRI1 */
#pragma interrupt (INT_SCIF_SCIF1_BRI1(resbank))
extern void INT_SCIF_SCIF1_BRI1(void);

/* 197 SCIF SCIF1 ERI1 */
#pragma interrupt (INT_SCIF_SCIF1_ERI1(resbank))
extern void INT_SCIF_SCIF1_ERI1(void);

/* 198 SCIF SCIF1 RXI1 */
#pragma interrupt (INT_SCIF_SCIF1_RXI1(resbank))
extern void INT_SCIF_SCIF1_RXI1(void);

/* 199 SCIF SCIF1 TXI1 */
#pragma interrupt (INT_SCIF_SCIF1_TXI1(resbank))
extern void INT_SCIF_SCIF1_TXI1(void);

/* 200 SCIF SCIF2 BRI2 */
#pragma interrupt (INT_SCIF_SCIF2_BRI2(resbank))
extern void INT_SCIF_SCIF2_BRI2(void);

/* 201 SCIF SCIF2 ERI2 */
#pragma interrupt (INT_SCIF_SCIF2_ERI2(resbank))
extern void INT_SCIF_SCIF2_ERI2(void);

/* 202 SCIF SCIF2 RXI2 */
#pragma interrupt (INT_SCIF_SCIF2_RXI2(resbank))
extern void INT_SCIF_SCIF2_RXI2(void);

/* 203 SCIF SCIF2 TXI2 */
#pragma interrupt (INT_SCIF_SCIF2_TXI2(resbank))
extern void INT_SCIF_SCIF2_TXI2(void);

/* 204 SCIF SCIF3 BRI3 */
#pragma interrupt (INT_SCIF_SCIF3_BRI3(resbank))
extern void INT_SCIF_SCIF3_BRI3(void);

/* 205 SCIF SCIF3 ERI3 */
#pragma interrupt (INT_SCIF_SCIF3_ERI3(resbank))
extern void INT_SCIF_SCIF3_ERI3(void);

/* 206 SCIF SCIF3 RXI3 */
#pragma interrupt (INT_SCIF_SCIF3_RXI3(resbank))
extern void INT_SCIF_SCIF3_RXI3(void);

/* 207 SCIF SCIF3 TXI3 */
#pragma interrupt (INT_SCIF_SCIF3_TXI3(resbank))
extern void INT_SCIF_SCIF3_TXI3(void);

/* 208 SSU0 SSERI0 */
#pragma interrupt (INT_SSU0_SSERI0(resbank))
extern void INT_SSU0_SSERI0(void);

/* 209 SSU0 SSRXI0  */
#pragma interrupt (INT_SSU0_SSRXI0(resbank))
extern void INT_SSU0_SSRXI0(void);

/* 210 SSU0 SSTXI0  */
#pragma interrupt (INT_SSU0_SSTXI0(resbank))
extern void INT_SSU0_SSTXI0(void);

/* 211 SSU1 SSERI1 */
#pragma interrupt (INT_SSU1_SSERI1(resbank))
extern void INT_SSU1_SSERI1(void);

/* 212 SSU1 SSRXI1  */
#pragma interrupt (INT_SSU1_SSRXI1(resbank))
extern void INT_SSU1_SSRXI1(void);

/* 213 SSU1 SSTXI1  */
#pragma interrupt (INT_SSU1_SSTXI1(resbank))
extern void INT_SSU1_SSTXI1(void);

/* 214 SSI SSI0 */
#pragma interrupt (INT_SSI_SSII0(resbank))
extern void INT_SSI_SSII0(void);

/* 215 SSI SSI1  */
#pragma interrupt (INT_SSI_SSII1(resbank))
extern void INT_SSI_SSII1(void);

/* 216 SSI SSI2  */
#pragma interrupt (INT_SSI_SSII2(resbank))
extern void INT_SSI_SSII2(void);

/* 217 SSI SSI3 */
#pragma interrupt (INT_SSI_SSII3(resbank))
extern void INT_SSI_SSII3(void);

/* 218 Reserved */

/* 219 Reserved */

/* 220 Reserved */

/* 221 Reserved */

/* 222 Reserved */

/* 223 Reserved */

/* 224 FLCTL FLSTEI  */
#pragma interrupt (INT_FLCTL_FLSTEI(resbank))
extern void INT_FLCTL_FLSTEI(void);

/* 225 FLCTL FLTENDI  */
#pragma interrupt (INT_FLCTL_FLTENDI(resbank))
extern void INT_FLCTL_FLTENDI(void);

/* 226 FLCTL FLTREQ0I */
#pragma interrupt (INT_FLCTL_FLTREQ0I(resbank))
extern void INT_FLCTL_FLTREQ0I(void);

/* 227 FLCTL FLTREQ1I  */
#pragma interrupt (INT_FLCTL_FLTREQ1I(resbank))
extern void INT_FLCTL_FLTREQ1I(void);

/* 228 Reserved */

/* 229 Reserved */

/* 230 Reserved */

/* 231 RTC ARM */
#pragma interrupt (INT_RTC_ARM(resbank))
extern  void INT_RTC_ARM(void);

/* 232 RTC PRD */
#pragma interrupt (INT_RTC_PRD(resbank))
extern  void INT_RTC_PRD(void);

/* 233 RTC CUP */
#pragma interrupt (INT_RTC_CUP(resbank))
extern  void INT_RTC_CUP(void);

/* 234 RCANTL1 RCAN0_ERS0 */
#pragma interrupt (INT_RCANTL1_RCAN0_ERS0(resbank))
extern  void INT_RCANTL1_RCAN0_ERS0(void);

/* 235 RCANTL1 RCAN0_OVR0 */
#pragma interrupt (INT_RCANTL1_RCAN0_OVR0(resbank))
extern  void INT_RCANTL1_RCAN0_OVR0(void);

/* 236 RCANTL1 RCAN0_RM00 */
#pragma interrupt (INT_RCANTL1_RCAN0_RM00(resbank))
extern  void INT_RCANTL1_RCAN0_RM00(void);

/* 237 RCANTL1 RCAN0_RM10 */
#pragma interrupt (INT_RCANTL1_RCAN0_RM10(resbank))
extern  void INT_RCANTL1_RCAN0_RM10(void);

/* 238 RCANTL1 RCAN0_SLE0 */
#pragma interrupt (INT_RCANTL1_RCAN0_SLE0(resbank))
extern  void INT_RCANTL1_RCAN0_SLE0(void);

/* 239 RCANTL1 RCAN0_ERS1 */
#pragma interrupt (INT_RCANTL1_RCAN0_ERS1(resbank))
extern  void INT_RCANTL1_RCAN0_ERS1(void);

/* 240 RCANTL1 RCAN0_OVR1 */
#pragma interrupt (INT_RCANTL1_RCAN0_OVR1(resbank))
extern  void INT_RCANTL1_RCAN0_OVR1(void);

/* 241 RCANTL1 RCAN1_RM01 */
#pragma interrupt (INT_RCANTL1_RM01(resbank))
extern  void INT_RCANTL1_RCAN1_RM01(void);

/* 242 RCANTL1 RCAN1_RM11 */
#pragma interrupt (INT_RCANTL1_RCAN1_RM11(resbank))
extern  void INT_RCANTL1_RCAN1_RM11(void);

/* 243 RCANTL1 RCAN1_SLE1 */
#pragma interrupt (INT_RCANTL1_RCAN0_SLE1(resbank))
extern  void INT_RCANTL1_RCAN1_SLE1(void);

#endif	/* VECT_H_INCLUDED	*/

/**********************************************************************************
End of File
***********************************************************************************/
