/******************************************************************************
* DISCLAIMER:
* The software supplied by Renesas Technology Europe Ltd is
* intended and supplied for use on Renesas Technology products.
* This software is owned by Renesas Technology Europe, Ltd. Or
* Renesas Technology Corporation and is protected under applicable
* copyright laws. All rights are reserved.
*
* THIS SOFTWARE IS PROVIDED "AS IS". NO WARRANTIES, WHETHER EXPRESS,
* IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO IMPLIED
* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
* APPLY TO THIS SOFTWARE. RENESAS TECHNOLOGY AMERICA, INC. AND
* AND RENESAS TECHNOLOGY CORPORATION RESERVE THE RIGHT, WITHOUT
* NOTICE, TO MAKE CHANGES TO THIS SOFTWARE. NEITHER RENESAS
* TECHNOLOGY AMERICA, INC. NOR RENESAS TECHNOLOGY CORPORATION SHALL,
* IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL, OR
* CONSEQUENTIAL DAMAGES FOR ANY REASON WHATSOEVER ARISING OUT OF THE
* USE OR APPLICATION OF THIS SOFTWARE.
******************************************************************************/
/***********************************************************************************
FILE NAME  	: vect.h

DESCRIPTION	: Vector Table Define.

Copyright   : 2008 Renesas Technology Europe Ltd.
			  2008 Renesas Technology Corporation.
			  All Rights Reserved
***********************************************************************************/

/***********************************************************************************
Revision History
DD.MM.YYYY OSO-UID Description
15.08.2008 RTE-ADE First Release.
***********************************************************************************/
#ifndef VECT_H_INCLUDED
#define VECT_H_INCLUDED


/*	;<<VECTOR DATA START (POWER ON RESET)>>	*/
/*	;0 Power On Reset PC	*/
/*	;<<VECTOR DATA START (POWER ON RESET)>>	*/
/*	;0 Power On Reset PC	*/
extern void Initialise(void);


//;<<VECTOR DATA END (POWER ON RESET)>>
// 1 Power On Reset SP
extern void PowerON_Reset_PC(void);
//;<<VECTOR DATA START (MANUAL RESET)>>
//;2 Manual Reset PC
extern void Manual_Reset_PC(void);                                                                                                                 

//;<<VECTOR DATA END (MANUAL RESET)>>
// 3 Manual Reset SP

// 4 Illegal code
#pragma interrupt INT_Illegal_code
extern void INT_Illegal_code(void);

// 5 Reserved

// 6 Illegal slot
#pragma interrupt INT_Illegal_slot
extern void INT_Illegal_slot(void);

// 7 Reserved

// 8 Reserved

// 9 CPU Address error
#pragma interrupt INT_CPU_Address
extern void INT_CPU_Address(void);

// 10 DMAC/DTC Address error
#pragma interrupt INT_DTC_Address
extern void INT_DTC_Address(void);

// 11 NMI
#pragma interrupt INT_NMI
extern void INT_NMI(void);

// 12 User breakpoint trap
#pragma interrupt INT_User_Break
extern void INT_User_Break(void);

// 13 Reserved

// 14 Reserved

// 15 Reserved

// 16 Reserved

// 17 Reserved

// 18 Reserved

// 19 Reserved

// 20 Reserved

// 21 Reserved

// 22 Reserved

// 23 Reserved

// 24 Reserved

// 25 Reserved

// 26 Reserved

// 27 Reserved

// 28 Reserved

// 29 Reserved

// 30 Reserved

// 31 Reserved

// 32 TRAPA (User Vecter)
#pragma interrupt INT_TRAPA32
extern void INT_TRAPA32(void);

// 33 TRAPA (User Vecter)
#pragma interrupt INT_TRAPA33
extern void INT_TRAPA33(void);

// 34 TRAPA (User Vecter)
#pragma interrupt INT_TRAPA34
extern void INT_TRAPA34(void);

// 35 TRAPA (User Vecter)
#pragma interrupt INT_TRAPA35
extern void INT_TRAPA35(void);

// 36 TRAPA (User Vecter)
#pragma interrupt INT_TRAPA36
extern void INT_TRAPA36(void);

// 37 TRAPA (User Vecter)
#pragma interrupt INT_TRAPA37
extern void INT_TRAPA37(void);

// 38 TRAPA (User Vecter)
#pragma interrupt INT_TRAPA38
extern void INT_TRAPA38(void);

// 39 TRAPA (User Vecter)
#pragma interrupt INT_TRAPA39
extern void INT_TRAPA39(void);

// 40 TRAPA (User Vecter)
#pragma interrupt INT_TRAPA40
extern void INT_TRAPA40(void);

// 41 TRAPA (User Vecter)
#pragma interrupt INT_TRAPA41
extern void INT_TRAPA41(void);

// 42 TRAPA (User Vecter)
#pragma interrupt INT_TRAPA42
extern void INT_TRAPA42(void);

// 43 TRAPA (User Vecter)
#pragma interrupt INT_TRAPA43
extern void INT_TRAPA43(void);

// 44 TRAPA (User Vecter)
#pragma interrupt INT_TRAPA44
extern void INT_TRAPA44(void);

// 45 TRAPA (User Vecter)
#pragma interrupt INT_TRAPA45
extern void INT_TRAPA45(void);

// 46 TRAPA (User Vecter)
#pragma interrupt INT_TRAPA46
extern void INT_TRAPA46(void);

// 47 TRAPA (User Vecter)
#pragma interrupt INT_TRAPA47
extern void INT_TRAPA47(void);

// 48 TRAPA (User Vecter)
#pragma interrupt INT_TRAPA48
extern void INT_TRAPA48(void);

// 49 TRAPA (User Vecter)
#pragma interrupt INT_TRAPA49
extern void INT_TRAPA49(void);

// 50 TRAPA (User Vecter)
#pragma interrupt INT_TRAPA50
extern void INT_TRAPA50(void);

// 51 TRAPA (User Vecter)
#pragma interrupt INT_TRAPA51
extern void INT_TRAPA51(void);

// 52 TRAPA (User Vecter)
#pragma interrupt INT_TRAPA52
extern void INT_TRAPA52(void);

// 53 TRAPA (User Vecter)
#pragma interrupt INT_TRAPA53
extern void INT_TRAPA53(void);

// 54 TRAPA (User Vecter)
#pragma interrupt INT_TRAPA54
extern void INT_TRAPA54(void);

// 55 TRAPA (User Vecter)
#pragma interrupt INT_TRAPA55
extern void INT_TRAPA55(void);

// 56 TRAPA (User Vecter)
#pragma interrupt INT_TRAPA56
extern void INT_TRAPA56(void);

// 57 TRAPA (User Vecter)
#pragma interrupt INT_TRAPA57
extern void INT_TRAPA57(void);

// 58 TRAPA (User Vecter)
#pragma interrupt INT_TRAPA58
extern void INT_TRAPA58(void);

// 59 TRAPA (User Vecter)
#pragma interrupt INT_TRAPA59
extern void INT_TRAPA59(void);

// 60 TRAPA (User Vecter)
#pragma interrupt INT_TRAPA60
extern void INT_TRAPA60(void);

// 61 TRAPA (User Vecter)
#pragma interrupt INT_TRAPA61
extern void INT_TRAPA61(void);

// 62 TRAPA (User Vecter)
#pragma interrupt INT_TRAPA62
extern void INT_TRAPA62(void);

// 63 TRAPA (User Vecter)
#pragma interrupt INT_TRAPA63
extern void INT_TRAPA63(void);

// 64 Interrupt IRQ0
#pragma interrupt INT_IRQ0
extern void INT_IRQ0(void);

// 65 Interrupt IRQ1
#pragma interrupt INT_IRQ1
extern void INT_IRQ1(void);

// 66 Interrupt IRQ2
#pragma interrupt INT_IRQ2
extern void INT_IRQ2(void);

// 67 Interrupt IRQ3
#pragma interrupt INT_IRQ3
extern void INT_IRQ3(void);

// 68 Interrupt IRQ4
#pragma interrupt INT_IRQ4
extern void INT_IRQ4(void);

// 69 Interrupt IRQ5
#pragma interrupt INT_IRQ5
extern void INT_IRQ5(void);

// 70 Interrupt IRQ6
#pragma interrupt INT_IRQ6
extern void INT_IRQ6(void);

// 71 Interrupt IRQ7
#pragma interrupt INT_IRQ7
extern void INT_IRQ7(void);

// 72 Reserved

// 73 Reserved

// 74 Reserved

// 75 Reserved

// 76 Reserved
//#pragma interrupt INT_DMAC1_DEI1
//extern void INT_DMAC1_DEI1(void);

// 77 Reserved

// 78 Reserved

// 79 Reserved

// 80 Reserved
//#pragma interrupt INT_DMAC2_DEI2
//extern void INT_DMAC2_DEI2(void);

// 81 Reserved

// 82 Reserved

// 83 Reserved

// 84 Reserved
//#pragma interrupt INT_DMAC3_DEI3
//extern void INT_DMAC3_DEI3(void);

// 85 Reserved

// 86 Reserved

// 87 Reserved

// 88 Reserved

// 89 Reserved
//#pragma interrupt INT_MTU0_TGIB0
//extern void INT_MTU0_TGIB0(void);

// 90 Reserved
//#pragma interrupt INT_MTU0_TGIC0
//extern void INT_MTU0_TGIC0(void);

// 91 MTU0 TGID0
//#pragma interrupt INT_MTU0_TGID0
//extern void INT_MTU0_TGID0(void);

// 92 AD0 ADI0
#pragma interrupt INT_AD0_ADI0
extern void INT_AD0_ADI0(void);
// 93 Reserved 

// 94 Reserved

// 95 Reserved

// 96 AD1 ADI1
#pragma interrupt INT_AD1_ADI1
extern void INT_AD1_ADI1(void);

// 97 MTU1 TGIB1

// 98 Reserved

// 99 Reserved

// 100 AD2 ADI2
#pragma interrupt INT_AD2_ADI2
extern void INT_AD2_ADI2(void);
// 101 Reserved

// 102 Reserved

// 103 Reserved

// 104 MTU2 TGIA2

// 105 MTU2 TGIB2

// 106 Reserved

// 107 Reserved

// 108 DMAC0 DEI0
#pragma interrupt INT_DMAC0_DEI0
extern void INT_DMAC0_DEI0(void);

// 109 DMAC0 HEI0
#pragma interrupt INT_DMAC0_HEI0
extern void INT_DMAC0_HEI0(void);

// 110 Reserved

// 111 Reserved

// 112 DMAC1 DEI1
#pragma interrupt INT_DMAC1_DEI1
extern void INT_DMAC1_DEI1(void);

// 113 DMAC1 HEI1
#pragma interrupt INT_DMAC1_HEI1
extern void INT_DMAC1_HEI1(void);

// 114 

// 115 

// 116 DMAC2 DEI2
#pragma interrupt INT_DMAC2_DEI2
extern void INT_DMAC2_DEI2(void);

// 117 DMAC2 HEI2
#pragma interrupt INT_DMAC2_HEI2
extern void INT_DMAC2_HEI2(void);

// 118 Reserved

// 119 Reserved

// 120 DMAC3 DEI3
#pragma interrupt INT_DMAC3_DEI3
extern void INT_DMAC3_DEI3(void);

// 121 DMAC3 HEI3
#pragma interrupt INT_DMAC3_HEI3
extern void INT_DMAC3_HEI3(void);

// 122 MTU4 TGIC4

// 123 MTU4 TGID4

// 124 DMAC4 DEI4
#pragma interrupt INT_DMAC4_DEI4
extern void INT_DMAC4_DEI4(void);

// 125 DMAC4 HEI4
#pragma interrupt INT_DMAC4_HEI4
extern void INT_DMAC4_HEI4(void);

// 126 Reserved

// 127 Reserved

// 128 DMAC5 DEI5
#pragma interrupt INT_DMAC5_DEI5
extern void INT_DMAC5_DEI5(void);

// 129 DMAC5 HEI5
#pragma interrupt INT_DMAC5_HEI5
extern void INT_DMAC5_HEI5(void);

// 130 MTU5 TGIW5

// 131 Reserved

// 132 DMAC6 DEI6
#pragma interrupt INT_DMAC6_DEI6
extern void INT_DMAC6_DEI6(void);

// 133 DMAC6 HEI6
#pragma interrupt INT_DMAC6_HEI6
extern void INT_DMAC6_HEI6(void);

// 134 Reserved

// 135 Reserved

// 136 DMAC7 DEI7
#pragma interrupt INT_DMAC7_DEI7
extern void INT_DMAC7_DEI7(void);
// 137 Reserved
#pragma interrupt INT_DMAC7_HEI7
extern void INT_DMAC7_HEI7(void);

// 138 Reserved

// 139 Reserved

// 140 CMT0 CMI0
#pragma interrupt INT_CMT0_CMI0
extern void INT_CMT0_CMI0(void);

// 141 Reserved

// 142 Reserved

// 143 Reserved

// 144 CMT1 CMI1
#pragma interrupt INT_CMT1_CMI1
extern void INT_CMT1_CMI1(void);

// 145 Reserved

// 146 Reserved

// 147 Reserved

// 148 BSC CMI
#pragma interrupt INT_BSC_CMI
extern void INT_BSC_CMI(void);

// 149 Reserved

// 150 Reserved

// 151 Reserved

// 152 WDT ITI
#pragma interrupt INT_WDT_ITI
extern void INT_WDT_ITI(void);

// 153 Reserved

// 154 USB EPI1
#pragma interrupt INT_USB_EPI1
extern void INT_USB_EPI1(void);

// 155 USB EPI2
#pragma interrupt INT_USB_EPI2
extern void INT_USB_EPI2(void);

// 156 MTU0 TGIA0
#pragma interrupt INT_MTU0_TGIA0
extern void INT_MTU0_TGIA0(void);

// 157 MTU0 TGIB0
#pragma interrupt INT_MTU0_TGIB0
extern void INT_MTU0_TGIB0(void);

// 158 MTU0 TGIC0
#pragma interrupt INT_MTU0_TGIC0
extern void INT_MTU0_TGIC0(void);

// 159 MTU0 TGID0
#pragma interrupt INT_MTU0_TGID0
extern void INT_MTU0_TGID0(void);

// 160 MTU0 TCIV0
#pragma interrupt INT_MTU0_TCIV0
extern void INT_MTU0_TCIV0(void);

// 161 MTU0 TGIE0
#pragma interrupt INT_MTU0_TGIE0
extern void INT_MTU0_TGIE0(void);

// 162 MTU0 TGIF0
#pragma interrupt INT_MTU0_TGIF0
extern void INT_MTU0_TGIF0(void);

// 163 Reserved

// 164 MTU1 TGIA1
#pragma interrupt INT_MTU1_TGIA1
extern void INT_MTU1_TGIA1(void);

// 165 MTU1 TGIB1
#pragma interrupt INT_MTU1_TGIB1
extern void INT_MTU1_TGIB1(void);

// 166 Reserved

// 167 Reserved

// 168 MTU1 TCIV1
#pragma interrupt INT_MTU1_TCIV1
extern void INT_MTU1_TCIV1(void);

// 169 MTU1 TCIU1
#pragma interrupt INT_MTU1_TCIU1	
extern void INT_MTU1_TCIU1(void);

// 170 Reserved 

// 171 Reserved	


// 172 MTU2 TGIA2
#pragma interrupt INT_MTU2_TGIA2
extern void INT_MTU2_TGIA2(void);

// 173 MTU2 TGIB2
#pragma interrupt INT_MTU2_TGIB2
extern void INT_MTU2_TGIB2(void);
// 174 Reserved

// 175 Reserved

// 176 MTU2 TCIV2
#pragma interrupt INT_MTU2_TCIV2
extern void INT_MTU2_TCIV2(void);

// 177 MTU2 TCIU2
#pragma interrupt INT_MTU2_TCIU2
extern void INT_MTU2_TCIU2(void);

// 178 

// 179 Reserved

// 180 MTU3 TGIA3
#pragma interrupt INT_MTU3_TGIA3
extern void INT_MTU3_TGIA3(void);

// 181 MTU3 TGIB3
#pragma interrupt INT_MTU3_TGIB3
extern void INT_MTU3_TGIB3(void);

// 182 MTU3 TGIC3
#pragma interrupt INT_MTU3_TGIC3
extern void INT_MTU3_TGIC3(void);

// 183 MTU3 TGID3
#pragma interrupt INT_MTU3_TGID3
extern void INT_MTU3_TGID3(void);

// 184 MTU3 TCIV3
#pragma interrupt INT_MTU3_TCIV3
extern void INT_MTU3_TCIV3(void);

// 185 Reserved

// 186 Reserved

// 187 Reserved

// 188 MTU4 TGIA4
#pragma interrupt INT_MTU4_TGIA4
extern void INT_MTU4_TGIA4(void);

// 189 MTU4 TGIB4
#pragma interrupt INT_MTU4_TGIB4
extern void INT_MTU4_TGIB4(void);

// 190 MTU4 TGIC4
#pragma interrupt INT_MTU4_TGIC4
extern void INT_MTU4_TGIC4(void);

// 191 MTU4 TGID4
#pragma interrupt INT_MTU4_TGID4
extern void INT_MTU4_TGID4(void);

// 192 MTU4 TCIV4
#pragma interrupt INT_MTU4_TCIV4
extern void INT_MTU4_TCIV4(void);

// 193 Reserved

// 194 Reserved

// 195 Reserved

// 196 MTU5 TGIU5
#pragma interrupt INT_MTU5_TGIU5
extern void INT_MTU5_TGIU5(void);

// 197 MTU5 TGIV5
#pragma interrupt INT_MTU5_TGIV5
extern void INT_MTU5_TGIV5(void);

// 198 MTU5 TGIW5
#pragma interrupt INT_MTU5_TGIW5
extern void INT_MTU5_TGIW5(void);

// 199 Reserved

// 200 POE OEI1
#pragma interrupt INT_POE_OEI1
extern void INT_POE_OEI1(void);

// 201 POE OEI2
#pragma interrupt INT_POE_OEI2
extern void INT_POE_OEI2(void);

// 202 Reserved

// 203 Reserved

// 204 MTU3S TGIA3
#pragma interrupt INT_MTU3S_TGIA3
extern void INT_MTU3S_TGIA3(void);

// 205 MTU3S TGIB3
#pragma interrupt INT_MTU3S_TGIB3
extern void INT_MTU3S_TGIB3(void);

// 206 MTU3S TGIC3
#pragma interrupt INT_MTU3S_TGIC3
extern void INT_MTU3S_TGIC3(void);

// 207 MTU3S TGID3
#pragma interrupt INT_MTU3S_TGID3
extern void INT_MTU3S_TGID3(void);

// 208 MTU3S TCIV3
#pragma interrupt INT_MTU3S_TCIV3
extern void INT_MTU3S_TCIV3(void);

// 209 Reserved

// 210 Reserved

// 211 Reserved

// 212 MTU4S TGIA4
#pragma interrupt INT_MTU4S_TGIA4
extern void INT_MTU4S_TGIA4(void);

// 213 MTU4S TGIB4
#pragma interrupt INT_MTU4S_TGIB4
extern void INT_MTU4S_TGIB4(void);

// 214 MTU4S TGIC4
#pragma interrupt INT_MTU4S_TGIC4
extern void INT_MTU4S_TGIC4(void);

// 215 MTU4S TGID4
#pragma interrupt INT_MTU4S_TGID4
extern void INT_MTU4S_TGID4(void);

// 216 MTU4 TCIV4
#pragma interrupt INT_MTU4S_TCIV4
extern void INT_MTU4S_TCIV4(void);

// 217 SCI0 RXI0

// 218 SCI0 TXI0

// 219 SCI0 TEI0

// 220 MTU5S TGIU5
#pragma interrupt INT_MTU5S_TGIU5
extern void INT_MTU5S_TGIU5(void);

// 221 MTU5S TGIV5
#pragma interrupt INT_MTU5S_TGIV5
extern void INT_MTU5S_TGIV5(void);

// 222 MTU5S TGIW5
#pragma interrupt INT_MTU5S_TGIW5
extern void INT_MTU5S_TGIW5(void);

// 223 

// 224 POE OEI3
#pragma interrupt INT_POE_OEI3
extern void INT_POE_OEI3(void);

// 225 

// 226 USB USI0
#pragma interrupt INT_USB_USI0
extern void INT_USB_USI0(void);

// 227 USB USI1
#pragma interrupt INT_USB_USI1
extern void INT_USB_USI1(void);

// 228 IIC3 IISTPI
#pragma interrupt INT_IIC3_IISTPI
extern void INT_IIC3_IISTPI(void);

// 229 IIC3 IINAKI
#pragma interrupt INT_IIC3_IINAKI
extern void INT_IIC3_IINAKI(void);


// 230 IIC3 IIRXI
#pragma interrupt INT_IIC3_IIRXI
extern void INT_IIC3_IIRXI(void);

// 231 IIC3 IITXI
#pragma interrupt INT_IIC3_IITXI
extern void INT_IIC3_IITXI(void);

// 232 IIC3 IITEI
#pragma interrupt INT_IIC3_IITEI
extern void INT_IIC3_IITEI(void);

// 233 SSU SSERI
#pragma interrupt INT_SSU_SSERI
extern void INT_SSU_SSERI(void);

// 234 SSU SSRXI
#pragma interrupt INT_SSU_SSRXI
extern void INT_SSU_SSRXI(void);

// 235 SSU SSTXI
#pragma interrupt INT_SSU_SSTXI
extern void INT_SSU_SSTXI(void);

// 236 SCI4 ERI4
#pragma interrupt INT_SCI4_ERI4
extern void INT_SCI4_ERI4(void);

// 237 SCI4 RXI4
#pragma interrupt INT_SCI4_RXI4
extern void INT_SCI4_RXI4(void);

// 238 SCI4 TXI4
#pragma interrupt INT_SCI4_TXI4
extern void INT_SCI4_TXI4(void);

// 239 SCI4 TEI4
#pragma interrupt INT_SCI4_TEI4
extern void INT_SCI4_TEI4(void);

// 240 SCI0 ERI0
#pragma interrupt INT_SCI0_ERI0
extern void INT_SCI0_ERI0(void);

//241SCI0 RXI0
#pragma interrupt INT_SCI0_RXI0
extern void INT_SCI0_RXI0(void);

//242 SCI0 TXI0
#pragma interrupt INT_SCI0_TXI0
extern void INT_SCI0_TXI0(void);

//243 SCI0 TEI0
#pragma interrupt INT_SCI0_TEI0
extern void INT_SCI0_TEI0(void);

//244 SCI1 ERI1
#pragma interrupt INT_SCI1_ERI1
extern void INT_SCI1_ERI1(void);

//245 SCI1 RXI1
#pragma interrupt INT_SCI1_RXI1
extern void INT_SCI1_RXI1(void);

//246 SCI1 TXI1
#pragma interrupt INT_SCI1_TXI1
extern void INT_SCI1_TXI1(void);

//247 SCI1 TEI1
#pragma interrupt INT_SCI1_TEI1
extern void INT_SCI1_TEI1(void);

//248 SCI2 ERI2
#pragma interrupt INT_SCI2_ERI2
extern void INT_SCI2_ERI2(void);

//249 SCI2 RXI2
#pragma interrupt INT_SCI2_RXI2
extern void INT_SCI2_RXI2(void);

//250 SCI2 TXI2
#pragma interrupt INT_SCI2_TXI2
extern void INT_SCI2_TXI2(void);

//251 SCI2 TEI2
#pragma interrupt INT_SCI2_TEI2
extern void INT_SCI2_TEI2(void);

// 252 SCIF ERIF
#pragma interrupt INT_SCIF3_ERIF3
extern void INT_SCIF3_ERIF3(void);

// 253 SCIF RXIF
#pragma interrupt INT_SCIF3_RXIF3
extern void INT_SCIF3_RXIF3(void);

// 254 SCIF BRIF
#pragma interrupt INT_SCIF3_BRIF3
extern void INT_SCIF3_BRIF3(void);

// 255 SCIF TXIF
#pragma interrupt INT_SCIF3_TXIF3
extern void INT_SCIF3_TXIF3(void);

// Dummy
#pragma interrupt Dummy
extern void Dummy(void);
#endif		/* VECT_H_INCLUDED */	
