/*********************************************************************************
FILE NAME:		rsk7670def.h
DESCRIPTION:	Defines for RSK2+SH7670 kit.

Copyright : 2008 Renesas Technology Europe Ltd.
Copyright : 2008 Renesas Technology Corporation.
All Rights Reserved
***********************************************************************************/

/***********************************************************************************
Revision History
DD.MM.YYYY OSO-UID Description
12.08.2008 RTE-ADE First Release.
***********************************************************************************/

#ifndef RSK7670DEF_H
#define RSK7670DEF_H

/***********************************************************************************
Macro Defines
***********************************************************************************/
/* General Values */
#define		LED_ON			(0)
#define 	LED_OFF			(1)
#define 	SET_BIT_HIGH	(1)
#define 	SET_BIT_LOW		(0)
#define 	SET_BYTE_HIGH	(0xFF)
#define 	SET_BYTE_LOW	(0x00)
#define 	TRUE			(1)
#define 	FALSE			(0)

/* Define switches to be polled if not available as interrupts */
#define		SW_ACTIVE		FALSE
/* Please check for SW5 dip switches. Ensure SW5.1, SW5.3 and SW5.5 are 'ON'. */
#define 	SW1 			PORT.PDDRL.BIT.PD4DR
#define 	SW2 			PORT.PDDRL.BIT.PD5DR
#define		SW3 			PORT.PDDRL.BIT.PD6DR
/* LEDs */
#define		LED0			PORT.PEDRL.BIT.PE4DR 
#define		LED1			PORT.PEDRL.BIT.PE5DR 
#define		LED2			PORT.PEDRL.BIT.PE10DR 
#define		LED3			PORT.PEDRL.BIT.PE11DR 

/* RSK7670DEF_H */
#endif
